astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v1.1.1 »
- Models and Fitting (`astropy.modeling`) »
- Pix2Sky_SlantOrthographic

# Pix2Sky_SlantOrthographic

class `astropy.modeling.projections.``Pix2Sky_SlantOrthographic`

  Bases: `astropy.modeling.projections.Pix2SkyProjection`, `astropy.modeling.projections.Zenithal`

  Slant orthographic projection - pixel to sky.

  Corresponds to the `SIN` projection in FITS WCS.

  See `Zenithal` for a definition of the full transformation.

  The following transformation applies when \xi and \eta are both zero.

  \theta = \cos^{-1}\left(\frac{\pi}{180^{\circ}}R_\theta\right)

  The parameters \xi and \eta are defined from the reference point (\phi_c, \theta_c) as:

  \xi &= \cot \theta_c \sin \phi_c \\ \eta &= - \cot \theta_c \cos \phi_c

  Parameters:

  xi : float

  > Obliqueness parameter, ξ. Default is 0.0.

  eta : float

  > Obliqueness parameter, η. Default is 0.0.

  Attributes Summary

  `eta` |
  `param_names` |
  `xi` |

  Methods Summary

  `evaluate`(x, y, xi, eta) |

  Attributes Documentation

  `eta`
  `param_names` = ('xi', 'eta')
  `xi`

  Methods Documentation

  classmethod `evaluate`(x, y, xi, eta)